### A free/open-source library for quantitative finance

Classes
ql/instruments/barrieroption.hpp File Reference

Barrier option on a single asset. More...

`#include <ql/instruments/oneassetoption.hpp>`
`#include <ql/instruments/barriertype.hpp>`
`#include <ql/instruments/payoffs.hpp>`
Include dependency graph for barrieroption.hpp:

## Classes

class | BarrierOption
| Barrier option on a single asset. More...
class | BarrierOption::arguments
| Arguments for barrier option calculation More...
class | BarrierOption::engine
| Barrier-option engine base class More...

## Detailed Description

Barrier option on a single asset.